### Method

# GdkPixbuf.Pixbuf.save_to_streamv

#### Declaration [src]

    gboolean
    gdk_pixbuf_save_to_streamv (
      GdkPixbuf* pixbuf,
      GOutputStream* stream,
      const char* type,
      char** option_keys,
      char** option_values,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Saves `pixbuf` to an output stream.

Supported file formats are currently “jpeg”, “tiff”, “png”, “ico” or “bmp”.

See `gdk_pixbuf_save_to_stream()` for more details.

#### Parameters

`stream` | `GOutputStream*`
| a `GOutputStream` to save the pixbuf to
| Ownership is not transferred to the callee
`type` | `const char*`
| name of file format
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`option_keys` | An array of `utf8`
| name of options to set
| Can be `NULL`
| Ownership is not transferred to the callee
`option_values` | An array of `utf8`
| values for named options
| Can be `NULL`
| Ownership is not transferred to the callee
`cancellable` | `GCancellable*`
| optional `GCancellable` object, `NULL` to ignore
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if the pixbuf was saved successfully, `FALSE` if an error was set.